#pragma once


/**
Widget groups definitions.

Following GUIDs define currently registered and configured widget groups. Each group represents different context level 
with dependencies set accordingly. 


WIDGETGROUP_VIEW is view context group. View navigation tools should register into this group so they are independent on the other tools. 

WIDGETGROUP_MODE defines mode context for widgets. An example is point edit, default context etc. Widget registered into mode group should
handle mode entering and exitting as well as default actions management.

WIDGETGROUP_MODE_TOOLS Is a group intended for mode tool. 

WIDGETGROUP_MODE_SUBTOOLS Is a group intended for mode tools helper tools.

*/
// {1ED6A591-1DF7-4e2c-9333-41216D589C27}
#define WIDGETGROUP_VIEW_SZ L"{1ED6A591-1DF7-4e2c-9333-41216D589C27}"
RS_DEFINE_GUID(WIDGETGROUP_VIEW,0x1ed6a591, 0x1df7, 0x4e2c, 0x93, 0x33, 0x41, 0x21, 0x6d, 0x58, 0x9c, 0x27);

// {5C9008D4-B6B3-4359-9E63-18D2FC228A6E}
#define WIDGETGROUP_MODE_SZ L"{5C9008D4-B6B3-4359-9E63-18D2FC228A6E}"
RS_DEFINE_GUID(WIDGETGROUP_MODE,	  0x5c9008d4, 0xb6b3, 0x4359, 0x9e, 0x63, 0x18, 0xd2, 0xfc, 0x22, 0x8a, 0x6e);

// {E8913C00-9A2A-43cf-8238-27B4BFB50A1F}
#define WIDGETGROUP_MODE_TOOLS_SZ L"{E8913C00-9A2A-43cf-8238-27B4BFB50A1F}"
RS_DEFINE_GUID(WIDGETGROUP_MODE_TOOLS, 0xe8913c00, 0x9a2a, 0x43cf, 0x82, 0x38, 0x27, 0xb4, 0xbf, 0xb5, 0xa, 0x1f);

// {88839603-7F98-41f0-96AC-BE94E801CFF3}
#define WIDGETGROUP_MODE_SUB_TOOLS_SZ L"{88839603-7F98-41f0-96AC-BE94E801CFF3}"
RS_DEFINE_GUID(WIDGETGROUP_MODE_SUBTOOLS, 0x88839603, 0x7f98, 0x41f0, 0x96, 0xac, 0xbe, 0x94, 0xe8, 0x1, 0xcf, 0xf3);




// {C68EC262-8816-4969-AF5B-5F902283C8D3}
/**
Registered connector:

Input state is a registered connector that will receive widget mouse/keyboard state.
*/
RS_DEFINE_GUID(CON_INPUT_STATE, 0xc68ec262, 0x8816, 0x4969, 0xaf, 0x5b, 0x5f, 0x90, 0x22, 0x83, 0xc8, 0xd3);

/**
Registered connector:

Connector which defines coordinate system:
*/
// {4CB9F563-6F87-40b8-B064-FBAEB03A18A6}
RS_DEFINE_GUID(CON_COORDINATE_SYSTEM, 0x4cb9f563, 0x6f87, 0x40b8, 0xb0, 0x64, 0xfb, 0xae, 0xb0, 0x3a, 0x18, 0xa6);

/**
Registered connector:

Connector which will be filled with widget parameters (IRdWidgetParameters) data object when widget is changed
*/
// {41B54A99-8E51-4808-985C-CD0DAAC7389C}
RS_DEFINE_GUID(CON_WIDGET_PARAMETERS, 0x41b54a99, 0x8e51, 0x4808, 0x98, 0x5c, 0xcd, 0xd, 0xaa, 0xc7, 0x38, 0x9c);

/**
Registered connector:

Connector which will be filled with widget viewport parameters before widget tool is called.
*/
// {DA81E8D3-3A69-4f34-8778-1FA5188A31BF}
RS_DEFINE_GUID(CON_WIDGET_VIEWPORT_PARAMS, 0xda81e8d3, 0x3a69, 0x4f34, 0x87, 0x78, 0x1f, 0xa5, 0x18, 0x8a, 0x31, 0xbf);

/**
Registered connector:

Connector which defines that node is a widget.
*/
// {A8977BEA-2D1F-4f93-8154-F3D08658F7F2}
RS_DEFINE_GUID(CON_BASEWIDGET_INTERFACE,0xa8977bea, 0x2d1f, 0x4f93, 0x81, 0x54, 0xf3, 0xd0, 0x86, 0x58, 0xf7, 0xf2);

/**
Registered connector:

Connector which is searched for during widget activation. Activation parameters are evaluated and best matching widget is picked 
for activation.
*/
// {7A83F131-AE29-488f-B107-45442C624000}
RS_DEFINE_GUID(CON_WIDGET_ACTIVATION_PARAMS, 0x7a83f131, 0xae29, 0x488f, 0xb1, 0x7, 0x45, 0x44, 0x2c, 0x62, 0x40, 0x0);

/**
Registered connector:

Connector set during widget selection. It is filled with data object containing information about list of objects for which
the activation is requested.
*/
// {FB651B1E-2296-496f-8170-763460264EC3}
RS_DEFINE_GUID(CON_WIDGET_ACTIVATION_REQUEST, 0xfb651b1e, 0x2296, 0x496f, 0x81, 0x70, 0x76, 0x34, 0x60, 0x26, 0x4e, 0xc3);

/**
Internal version of widgets subsystem:
*/
// {A410A506-19A6-4ddf-98FB-374FF3610326}
RS_DEFINE_GUID(CON_WIDGET_VERSION,	0xa410a506, 0x19a6, 0x4ddf, 0x98, 0xfb, 0x37, 0x4f, 0xf3, 0x61, 0x3, 0x26);

/**
Registered connector:

Input connector for keyboard filter modifiers.
*/
// {7A1EE437-645E-4172-ACB3-AA82F9869445}
RS_DEFINE_GUID(CON_KEYFILTER_IN,	0x7a1ee437, 0x645e, 0x4172, 0xac, 0xb3, 0xaa, 0x82, 0xf9, 0x86, 0x94, 0x45);


/**
Output connector for keyboard filter modifiers:
*/
// {D9CCB310-A806-496d-A36F-6027C7BE708A}
RS_DEFINE_GUID(CON_KEYFILTER_OUT,	0xd9ccb310, 0xa806, 0x496d, 0xa3, 0x6f, 0x60, 0x27, 0xc7, 0xbe, 0x70, 0x8a);



// {C47CF61E-4669-4cda-BFD6-DFB32F053428}
RS_DEFINE_GUID(CON_WIGET_MENU_ITEM, 0xc47cf61e, 0x4669, 0x4cda, 0xbf, 0xd6, 0xdf, 0xb3, 0x2f, 0x5, 0x34, 0x28);


/**
Source of widget parameters on a active widget node:
*/
// {DD86B422-5C4E-4197-A9BB-D2A8D4F68C2D}
RS_DEFINE_GUID(CON_WIDGET_INPUT_PARAMETERS, 0xdd86b422, 0x5c4e, 0x4197, 0xa9, 0xbb, 0xd2, 0xa8, 0xd4, 0xf6, 0x8c, 0x2d);

/**

*/
// {E3EFDB0F-BBF5-440f-88A7-6F950D7DF9B7}
RS_DEFINE_GUID(CON_WIDGET_MATCH_PARAMS, 0xe3efdb0f, 0xbbf5, 0x440f, 0x88, 0xa7, 0x6f, 0x95, 0xd, 0x7d, 0xf9, 0xb7);

/**
Semicolon separated list of objects which widget operates on:
*/
// {CB4B537D-DEF4-452d-BB83-4F3C96DEDE17}
RS_DEFINE_GUID(CON_WIDGET_CONTROLLED_OBJECTS, 0xcb4b537d, 0xdef4, 0x452d, 0xbb, 0x83, 0x4f, 0x3c, 0x96, 0xde, 0xde, 0x17);





//3D toolbars connectors:

// {BB952E1F-3FF5-4ba3-8399-380590E006EA}
RS_DEFINE_GUID(CON_TOOLBAR3D_ID,	0xbb952e1f, 0x3ff5, 0x4ba3, 0x83, 0x99, 0x38, 0x5, 0x90, 0xe0, 0x6, 0xea);

// {F2549467-6A0B-45c6-A705-2DB21D1C98B6}
RS_DEFINE_GUID(CON_TOOLBUTTON3D_VISIBLE, 0xf2549467, 0x6a0b, 0x45c6, 0xa7, 0x5, 0x2d, 0xb2, 0x1d, 0x1c, 0x98, 0xb6);

// {B07AAA68-82B9-4ca5-9D06-E9B278C9FFA9}
RS_DEFINE_GUID(CON_TOOLBUTTON3D_INDEX,	0xb07aaa68, 0x82b9, 0x4ca5, 0x9d, 0x6, 0xe9, 0xb2, 0x78, 0xc9, 0xff, 0xa9);



//Activate Widget connector names:
RS_DEFINE_GUID(CON_AW_PARAMETERS, 0xda7195cc, 0x513e, 0x459b, 0x8f, 0x65, 0x4, 0x5a, 0x15, 0x9b, 0x38, 0xd6);

RS_DEFINE_GUID(CON_AW_CONTROLLED_NODE_NAME, 0x6d2e03cf, 0x34d4, 0x4c1d, 0x87, 0x3b, 0x2, 0xb5, 0x74, 0x15, 0x77, 0xea);

RS_DEFINE_GUID(CON_AW_WIDGET_NAME, 0x51b6a6f9, 0x91bf, 0x4b30, 0x89, 0xf7, 0x8a, 0xf3, 0xee, 0x30, 0x54, 0xd4);

RS_DEFINE_GUID(CON_AW_WIDGET_ASPECT, 0xb2cef540, 0x70b7, 0x44d7, 0x81, 0xd1, 0x78, 0xec, 0x1, 0xf1, 0x3, 0xab);

// {71709CA0-F0FC-4864-B686-227D0AB51B95}
RS_DEFINE_GUID(CON_AW_ACTIVE_WIDGET_NAME, 0x71709ca0, 0xf0fc, 0x4864, 0xb6, 0x86, 0x22, 0x7d, 0xa, 0xb5, 0x1b, 0x95);


//Activate managed widget:

// {250BEB7B-48A6-4ed1-9D40-B2DD167D0CBC}
RS_DEFINE_GUID(CON_RMW_WIDGET_GROUP, 0x250beb7b, 0x48a6, 0x4ed1, 0x9d, 0x40, 0xb2, 0xdd, 0x16, 0x7d, 0xc, 0xbc);

// {C3E19E1A-4F17-4365-83EA-66CB209BB372}
RS_DEFINE_GUID(CON_RMW_WIDGET_NAME, 0xc3e19e1a, 0x4f17, 0x4365, 0x83, 0xea, 0x66, 0xcb, 0x20, 0x9b, 0xb3, 0x72);

// {8757B10C-12CB-409e-8A45-E46915286CF8}
RS_DEFINE_GUID(CON_RMW_WIDGET_ASPECT, 0x8757b10c, 0x12cb, 0x409e, 0x8a, 0x45, 0xe4, 0x69, 0x15, 0x28, 0x6c, 0xf8);

// {9D513C4E-96D2-483f-B656-C8E10514111C}
RS_DEFINE_GUID(CON_RMW_NODES_LIST, 0x9d513c4e, 0x96d2, 0x483f, 0xb6, 0x56, 0xc8, 0xe1, 0x5, 0x14, 0x11, 0x1c);

// {BFDD42E9-873C-4e85-8D4C-D297231A6E8C}
RS_DEFINE_GUID(CON_RMW_PARAMETERS, 0xbfdd42e9, 0x873c, 0x4e85, 0x8d, 0x4c, 0xd2, 0x97, 0x23, 0x1a, 0x6e, 0x8c);

// {9EFDA2AB-A70E-4441-AE91-5CD62793BA16}
RS_DEFINE_GUID(CON_RMW_ACTIVE_WIDGET_NAME, 0x9efda2ab, 0xa70e, 0x4441, 0xae, 0x91, 0x5c, 0xd6, 0x27, 0x93, 0xba, 0x16);


//Add Widget connectors:

// {EBB9DF23-325A-4d5d-A3D9-F6078AF0932C}
RS_DEFINE_GUID(CON_ADDW_ANCHOR_NODE_NAME, 0xebb9df23, 0x325a, 0x4d5d, 0xa3, 0xd9, 0xf6, 0x7, 0x8a, 0xf0, 0x93, 0x2c);

// {4F647357-7D03-466d-BC0D-CD3B05FCD4E2}
RS_DEFINE_GUID(CON_ADDW_CONTROLLED_NODE_NAME, 0x4f647357, 0x7d03, 0x466d, 0xbc, 0xd, 0xcd, 0x3b, 0x5, 0xfc, 0xd4, 0xe2);

// {2422F480-4540-489a-A512-2B114667EDA6}
RS_DEFINE_GUID(CON_ADDW_WIDGET_NAME, 0x2422f480, 0x4540, 0x489a, 0xa5, 0x12, 0x2b, 0x11, 0x46, 0x67, 0xed, 0xa6);

// {15DBDED5-B935-47ea-B324-B917A8C082C8}
RS_DEFINE_GUID(CON_ADDW_WIDGET_ASPECT, 0x15dbded5, 0xb935, 0x47ea, 0xb3, 0x24, 0xb9, 0x17, 0xa8, 0xc0, 0x82, 0xc8);

// {00E17ECD-51B5-4efa-ABF1-61E31CB90DE0}
RS_DEFINE_GUID(CON_ADDW_ACTIVE_WIDGET_NAME, 0xe17ecd, 0x51b5, 0x4efa, 0xab, 0xf1, 0x61, 0xe3, 0x1c, 0xb9, 0xd, 0xe0);


//shared BaseWidgetActionCtrl:

// {6AFE1ECF-7711-4020-AA24-9E94C6244476}
RS_DEFINE_GUID(CON_WAC_ACTIONS,			0x6afe1ecf, 0x7711, 0x4020, 0xaa, 0x24, 0x9e, 0x94, 0xc6, 0x24, 0x44, 0x76);


//Widget state GUIDs:

// {0C888005-1DA2-46aa-BBF7-16B8E559239C}
RS_DEFINE_GUID(GUID_WIDGET_STATE_DEFAULT, 0xc888005, 0x1da2, 0x46aa, 0xbb, 0xf7, 0x16, 0xb8, 0xe5, 0x59, 0x23, 0x9c);

// {D953D838-1618-4859-8A53-F17BC508A0ED}
RS_DEFINE_GUID(GUID_WIDGET_STATE_ACTIVE, 0xd953d838, 0x1618, 0x4859, 0x8a, 0x53, 0xf1, 0x7b, 0xc5, 0x8, 0xa0, 0xed);

// {1093C6AD-7803-4614-91CD-0FF0F3B0C0BD}
RS_DEFINE_GUID(GUID_WIDGET_STATE_OPERATING,  0x1093c6ad, 0x7803, 0x4614, 0x91, 0xcd, 0xf, 0xf0, 0xf3, 0xb0, 0xc0, 0xbd);



//RnWidget shared cons:

// {DCA0BD38-8D96-45a0-8029-B601BFB47B68}
RS_DEFINE_GUID(CON_WIDGET_HELPSTRING, 0xdca0bd38, 0x8d96, 0x45a0, 0x80, 0x29, 0xb6, 0x1, 0xbf, 0xb4, 0x7b, 0x68);
// {96FEBD71-174D-4e9d-99B7-2CEB2CE505ED}
RS_DEFINE_GUID(CON_WIDGET_ICON,		  0x96febd71, 0x174d, 0x4e9d, 0x99, 0xb7, 0x2c, 0xeb, 0x2c, 0xe5, 0x5, 0xed);

//RnWidgetAspect shared cons:
// {29AC2883-1595-4bb3-8C7B-DB19DFEAD0D9}
RS_DEFINE_GUID(CON_WC_HELPSTRING,	0x29ac2883, 0x1595, 0x4bb3, 0x8c, 0x7b, 0xdb, 0x19, 0xdf, 0xea, 0xd0, 0xd9);
// {CDF2D35E-18D1-4048-8624-45297DCF9EDB}
RS_DEFINE_GUID(CON_WC_ICON,			0xcdf2d35e, 0x18d1, 0x4048, 0x86, 0x24, 0x45, 0x29, 0x7d, 0xcf, 0x9e, 0xdb);
// {97C5E6D1-21AE-4fcc-B95B-4CDE9C7E3670}
RS_DEFINE_GUID(CON_WC_IN_FRONT,		0x97c5e6d1, 0x21ae, 0x4fcc, 0xb9, 0x5b, 0x4c, 0xde, 0x9c, 0x7e, 0x36, 0x70);


//RnScreenDocking shared cons:

// {A35B6A14-A4D8-4bac-A31E-66F447BCF050}
RS_DEFINE_GUID(CON_SCD_RELATIVE_X, 0xa35b6a14, 0xa4d8, 0x4bac, 0xa3, 0x1e, 0x66, 0xf4, 0x47, 0xbc, 0xf0, 0x50);

// {A174CA9C-3D19-4e06-A284-E2CE290A0D10}
RS_DEFINE_GUID(CON_SCD_RELATIVE_Y, 0xa174ca9c, 0x3d19, 0x4e06, 0xa2, 0x84, 0xe2, 0xce, 0x29, 0xa, 0xd, 0x10);

// {D2C1F25B-FC4F-4fdf-AA5E-5A57DDAD22FB}
RS_DEFINE_GUID(CON_SCD_OFFSET_X, 0xd2c1f25b, 0xfc4f, 0x4fdf, 0xaa, 0x5e, 0x5a, 0x57, 0xdd, 0xad, 0x22, 0xfb);

// {2F171C31-A7A1-42fd-9FE6-E5F2C0D2C94F}
RS_DEFINE_GUID(CON_SCD_OFFSET_Y, 0x2f171c31, 0xa7a1, 0x42fd, 0x9f, 0xe6, 0xe5, 0xf2, 0xc0, 0xd2, 0xc9, 0x4f);


//Widget Toolbar global connectors:
// {FEF26736-B7DE-4cb1-8528-BD914F5B9E7E}
RS_DEFINE_GUID(CON_WIDGET_TOOLBAR_INDEX,	0xfef26736, 0xb7de, 0x4cb1, 0x85, 0x28, 0xbd, 0x91, 0x4f, 0x5b, 0x9e, 0x7e);

// {2717597D-CC61-4cb7-844B-D0CA159B08B1}
RS_DEFINE_GUID(CON_TOOLBAR3D_GUID, 0x2717597d, 0xcc61, 0x4cb7, 0x84, 0x4b, 0xd0, 0xca, 0x15, 0x9b, 0x8, 0xb1);


//Widget subsystem messages:
// {F9121275-BB1C-4720-BC2F-54CDBE48DD21}
RS_DEFINE_GUID(SYS_MANAGED_WIDGET_STATE_CHANGED, 0xf9121275, 0xbb1c, 0x4720, 0xbc, 0x2f, 0x54, 0xcd, 0xbe, 0x48, 0xdd, 0x21);




//Widgets blocking select command nodes list:
// {44EBEF03-7673-48e9-9319-AAE657D00D42}
RS_DEFINE_GUID(CON_WBS_NODES_LIST, 0x44ebef03, 0x7673, 0x48e9, 0x93, 0x19, 0xaa, 0xe6, 0x57, 0xd0, 0xd, 0x42);

// {F7D2B01B-9AB6-444d-8C00-EC337A5B29F6}
RS_DEFINE_GUID(CON_WOS_NODES_LIST, 0xf7d2b01b, 0x9ab6, 0x444d, 0x8c, 0x0, 0xec, 0x33, 0x7a, 0x5b, 0x29, 0xf6);

// {8844D662-8B9A-4e8f-999D-58A72B23770C}
RS_DEFINE_GUID(CON_WOS_NODES_LIST_OLD, 0x8844d662, 0x8b9a, 0x4e8f, 0x99, 0x9d, 0x58, 0xa7, 0x2b, 0x23, 0x77, 0xc);

// {24DDB1C8-1FB6-4e75-BDCE-DFFD4242722E}
RS_DEFINE_GUID(CON_WOR_NODES_LIST, 0x24ddb1c8, 0x1fb6, 0x4e75, 0xbd, 0xce, 0xdf, 0xfd, 0x42, 0x42, 0x72, 0x2e);




//helper commands connectors:

// {9FF204FF-C989-4354-9B42-418691F13CFB}
RS_DEFINE_GUID(CON_WMNI_SELECTION, 0x9ff204ff, 0xc989, 0x4354, 0x9b, 0x42, 0x41, 0x86, 0x91, 0xf1, 0x3c, 0xfb);

// {F4B8AF0C-52C9-496c-BDE4-9129D53F16CC}
RS_DEFINE_GUID(CON_WMNI_X, 0xf4b8af0c, 0x52c9, 0x496c, 0xbd, 0xe4, 0x91, 0x29, 0xd5, 0x3f, 0x16, 0xcc);

// {48FA8DCC-439F-431d-8B7F-3C5265750AEA}
RS_DEFINE_GUID(CON_WMNI_Y, 0x48fa8dcc, 0x439f, 0x431d, 0x8b, 0x7f, 0x3c, 0x52, 0x65, 0x75, 0xa, 0xea);

// {AC02518F-D98E-448b-97FC-5D6323596DCE}
RS_DEFINE_GUID(CON_WMNI_Z, 0xac02518f, 0xd98e, 0x448b, 0x97, 0xfc, 0x5d, 0x63, 0x23, 0x59, 0x6d, 0xce);

// {D4008989-FF96-4c86-9C7B-E5A7CF294234}
RS_DEFINE_GUID(CON_WRNI_SELECTION,  0xd4008989, 0xff96, 0x4c86, 0x9c, 0x7b, 0xe5, 0xa7, 0xcf, 0x29, 0x42, 0x34);

// {FBBF2B1F-B8F8-4394-AE7C-D2916F568056}
RS_DEFINE_GUID(CON_WRNI_RX, 0xfbbf2b1f, 0xb8f8, 0x4394, 0xae, 0x7c, 0xd2, 0x91, 0x6f, 0x56, 0x80, 0x56);

// {6290F4DB-1762-417c-96EF-42CA5A8EC8F9}
RS_DEFINE_GUID(CON_WRNI_RY, 0x6290f4db, 0x1762, 0x417c, 0x96, 0xef, 0x42, 0xca, 0x5a, 0x8e, 0xc8, 0xf9);

// {25948AC2-CE96-4c47-87D0-4DC6D9532F26}
RS_DEFINE_GUID(CON_WRNI_RZ, 0x25948ac2, 0xce96, 0x4c47, 0x87, 0xd0, 0x4d, 0xc6, 0xd9, 0x53, 0x2f, 0x26);

// {43428327-0FCF-44c4-9058-0F5F34FC0076}
RS_DEFINE_GUID(CON_WRNI_PX, 0x43428327, 0xfcf, 0x44c4, 0x90, 0x58, 0xf, 0x5f, 0x34, 0xfc, 0x0, 0x76);

// {15325F1F-F6EC-401d-AE20-D097FF5E5BB2}
RS_DEFINE_GUID(CON_WRNI_PY, 0x15325f1f, 0xf6ec, 0x401d, 0xae, 0x20, 0xd0, 0x97, 0xff, 0x5e, 0x5b, 0xb2);

// {0F714C7C-E709-4b00-A2A6-20BC776ED244}
RS_DEFINE_GUID(CON_WRNI_PZ, 0xf714c7c, 0xe709, 0x4b00, 0xa2, 0xa6, 0x20, 0xbc, 0x77, 0x6e, 0xd2, 0x44);


// {4EC39BC5-FB82-4f70-A3B0-1EE4EFBF8AAC}
RS_DEFINE_GUID(CON_WSNI_SELECTION, 0x4ec39bc5, 0xfb82, 0x4f70, 0xa3, 0xb0, 0x1e, 0xe4, 0xef, 0xbf, 0x8a, 0xac);

// {A40409EC-7717-414f-9257-A6315DC7393E}
RS_DEFINE_GUID(CON_WSNI_SCALE_X, 0xa40409ec, 0x7717, 0x414f, 0x92, 0x57, 0xa6, 0x31, 0x5d, 0xc7, 0x39, 0x3e);

// {4B585BE2-C5E5-42ca-A958-EEA87BB48420}
RS_DEFINE_GUID(CON_WSNI_SCALE_Y, 0x4b585be2, 0xc5e5, 0x42ca, 0xa9, 0x58, 0xee, 0xa8, 0x7b, 0xb4, 0x84, 0x20);

// {9CD9441A-F2DE-4dba-A4A4-1A68FC90C8F0}
RS_DEFINE_GUID(CON_WSNI_SCALE_Z, 0x9cd9441a, 0xf2de, 0x4dba, 0xa4, 0xa4, 0x1a, 0x68, 0xfc, 0x90, 0xc8, 0xf0);

// {38430FC9-6E26-4ac0-9A51-00718FF20019}
RS_DEFINE_GUID(CON_WSNI_SHEAR_XY, 0x38430fc9, 0x6e26, 0x4ac0, 0x9a, 0x51, 0x0, 0x71, 0x8f, 0xf2, 0x0, 0x19);

// {B4903B46-23DC-4569-A0B9-13F28BCC313B}
RS_DEFINE_GUID(CON_WSNI_SHEAR_XZ, 0xb4903b46, 0x23dc, 0x4569, 0xa0, 0xb9, 0x13, 0xf2, 0x8b, 0xcc, 0x31, 0x3b);

// {FFE02BA7-030E-4f89-B6F8-7303A5BC4EF7}
RS_DEFINE_GUID(CON_WSNI_SHEAR_YZ, 0xffe02ba7, 0x30e, 0x4f89, 0xb6, 0xf8, 0x73, 0x3, 0xa5, 0xbc, 0x4e, 0xf7);

// {15D9D788-CAE2-4416-96EF-9AF955FC11BA}
RS_DEFINE_GUID(CON_WSNI_POS_X, 0x15d9d788, 0xcae2, 0x4416, 0x96, 0xef, 0x9a, 0xf9, 0x55, 0xfc, 0x11, 0xba);

// {7066C233-41B5-4a7f-B7F3-AA7F56C2E308}
RS_DEFINE_GUID(CON_WSNI_POS_Y, 0x7066c233, 0x41b5, 0x4a7f, 0xb7, 0xf3, 0xaa, 0x7f, 0x56, 0xc2, 0xe3, 0x8);

// {763D6C6E-6309-4967-AF98-CAAE40C64E1D}
RS_DEFINE_GUID(CON_WSNI_POS_Z, 0x763d6c6e, 0x6309, 0x4967, 0xaf, 0x98, 0xca, 0xae, 0x40, 0xc6, 0x4e, 0x1d);



// {DB4352BE-53CD-4ee0-B998-4759952F64A2}
RS_DEFINE_GUID(CON_WTNI_SELECTION, 0xdb4352be, 0x53cd, 0x4ee0, 0xb9, 0x98, 0x47, 0x59, 0x95, 0x2f, 0x64, 0xa2);

// {9B2B4D45-E107-4bde-9E35-2CECAEA083DF}
RS_DEFINE_GUID(CON_WTNI_SCALE_X, 0x9b2b4d45, 0xe107, 0x4bde, 0x9e, 0x35, 0x2c, 0xec, 0xae, 0xa0, 0x83, 0xdf);

// {5B839511-5B34-4ac5-9654-A37EAA4BF1C1}
RS_DEFINE_GUID(CON_WTNI_SCALE_Y, 0x5b839511, 0x5b34, 0x4ac5, 0x96, 0x54, 0xa3, 0x7e, 0xaa, 0x4b, 0xf1, 0xc1);

// {F1CB5B71-468C-4f6e-B4DB-89CD8D948B25}
RS_DEFINE_GUID(CON_WTNI_SCALE_Z, 0xf1cb5b71, 0x468c, 0x4f6e, 0xb4, 0xdb, 0x89, 0xcd, 0x8d, 0x94, 0x8b, 0x25);

// {B44DB185-6B46-4b05-948C-C54BC387B1F2}
RS_DEFINE_GUID(CON_WTNI_SHEAR_XY, 0xb44db185, 0x6b46, 0x4b05, 0x94, 0x8c, 0xc5, 0x4b, 0xc3, 0x87, 0xb1, 0xf2);

// {B5EC1EB6-F71D-4423-B5A8-C627E50B436A}
RS_DEFINE_GUID(CON_WTNI_SHEAR_XZ, 0xb5ec1eb6, 0xf71d, 0x4423, 0xb5, 0xa8, 0xc6, 0x27, 0xe5, 0xb, 0x43, 0x6a);

// {5C6944BD-6706-4f2d-8473-D8E30C7AC51E}
RS_DEFINE_GUID(CON_WTNI_SHEAR_YZ, 0x5c6944bd, 0x6706, 0x4f2d, 0x84, 0x73, 0xd8, 0xe3, 0xc, 0x7a, 0xc5, 0x1e);

// {8EA0BF23-3C06-49be-8CC7-C9FF9036FD9A}
RS_DEFINE_GUID(CON_WTNI_POS_X, 0x8ea0bf23, 0x3c06, 0x49be, 0x8c, 0xc7, 0xc9, 0xff, 0x90, 0x36, 0xfd, 0x9a);

// {EAA26B26-D24A-46df-A7C3-84A119AA57D1}
RS_DEFINE_GUID(CON_WTNI_POS_Y, 0xeaa26b26, 0xd24a, 0x46df, 0xa7, 0xc3, 0x84, 0xa1, 0x19, 0xaa, 0x57, 0xd1);

// {CEC1E817-67EB-42c4-8B63-569221E48600}
RS_DEFINE_GUID(CON_WTNI_POS_Z, 0xcec1e817, 0x67eb, 0x42c4, 0x8b, 0x63, 0x56, 0x92, 0x21, 0xe4, 0x86, 0x0);

// {C856D648-C175-4e28-92BD-3E9BBD934B94}
RS_DEFINE_GUID(CON_WTNI_ROTATE_X, 0xc856d648, 0xc175, 0x4e28, 0x92, 0xbd, 0x3e, 0x9b, 0xbd, 0x93, 0x4b, 0x94);

// {9B85DE4E-98EA-433c-B802-F1ED80594F9C}
RS_DEFINE_GUID(CON_WTNI_ROTATE_Y, 0x9b85de4e, 0x98ea, 0x433c, 0xb8, 0x2, 0xf1, 0xed, 0x80, 0x59, 0x4f, 0x9c);

// {6FEEDA1E-B37D-40cb-9AFA-C1A8EDAB6402}
RS_DEFINE_GUID(CON_WTNI_ROTATE_Z, 0x6feeda1e, 0xb37d, 0x40cb, 0x9a, 0xfa, 0xc1, 0xa8, 0xed, 0xab, 0x64, 0x2);
